#ifndef CLICKABLEGRAPHICSVIEW_H
#define CLICKABLEGRAPHICSVIEW_H

#include <QGraphicsView>
#include <QMouseEvent>

class ClickableGraphicsView : public QGraphicsView
{
    Q_OBJECT
public:
    explicit ClickableGraphicsView(QWidget *parent = 0);

    bool pressed;


signals:
    void clicked(QPoint pos);

public slots:

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
//    void mouseDoubleClickEvent(QMouseEvent *event);
};

#endif // CLICKABLEGRAPHICSVIEW_H
