#ifndef FRAMESPANGRAPHICSITEM_H
#define FRAMESPANGRAPHICSITEM_H

#include <QObject>
#include <QGraphicsPathItem>
#include <QGraphicsScene>
#include <QGraphicsSceneContextMenuEvent>

#include "../Models/framespan.h"

class FrameSpanGraphicsItem : public QObject, public QGraphicsPathItem
{
    Q_OBJECT
public:
    explicit FrameSpanGraphicsItem(QGraphicsScene* s, QPointF p1, QPointF p2, FrameSpan *fs);

    FrameSpan *span;
signals:

public slots:
    void reload();
    void loadStyle();

protected:
    void contextMenuEvent(QGraphicsSceneContextMenuEvent *event);
};

#endif // FRAMESPANGRAPHICSITEM_H
