#ifndef KEYFRAMEGRAPHICSITEM_H
#define KEYFRAMEGRAPHICSITEM_H

#include <QObject>
#include <QGraphicsEllipseItem>
#include <QGraphicsScene>
#include <QGraphicsSceneContextMenuEvent>

#include "../Models/keyframe.h"

class KeyFrameGraphicsItem : public QObject, public QGraphicsEllipseItem
{
    Q_OBJECT
public:
    explicit KeyFrameGraphicsItem(QGraphicsScene* s, QPointF p, KeyFrame *kf);

    KeyFrame *keyFrame;

signals:

public slots:
    void reload();
    void loadStyle();

protected:
    void contextMenuEvent(QGraphicsSceneContextMenuEvent *event);
};

#endif // KEYFRAMEGRAPHICSITEM_H
